Support Questions
Find answers, ask questions, and share your expertise

NiFi: What version of Zookeeper is used in NiFi

Explorer

I try to implement this thing:

https://zookeeper.apache.org/doc/trunk/zookeeperReconfig.html

But it available starting from Zookeeper 3.5.0

Is there a way to replace zookeeper with newer version in Apache NiFi ?

Thank you.

3 REPLIES 3

@Gu Gur

I believe you would have to grab the entire NiFi branch from github and then replace the zookeeper with the newer version in the branch and then rebuild NiFi on your system.

Explorer

so, it seems that ZooKeeper Migrator could be used? Migrating from an embedded ZooKeeper in NiFi 0.x or 1.x to an external ZooKeeper

Explorer

so, it seems that ZooKeeper Migrator could be used? Migrating from an embedded ZooKeeper in NiFi 0.x or 1.x to an external ZooKeeper

Take a Tour of the Community
Don't have an account?
Your experience may be limited. Sign in to explore more.